unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeeGDIPlus, ExtCtrls, TeeProcs, TeEngine, Chart, TeeComma,
  StdCtrls;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    TeeCommander1: TTeeCommander;
    CBLegTitle: TCheckBox;
    procedure FormCreate(Sender: TObject);
    procedure CBLegTitleClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses Series;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Chart1.View3D:=false;

  with Chart1.AddSeries(TLineSeries) do
  begin
    Title:='u2 penetration';
    Color:=clGray;
    FillSampleValues;
  end;

  with Chart1.AddSeries(TPointSeries) as TPointSeries do
  begin
    Title:='Initial dissipation';
    Color:=clRed;
    Pointer.Style:=psCircle;
    FillSampleValues;
  end;

  with Chart1.AddSeries(TPointSeries) as TPointSeries do
  begin
    Title:='End of dissipation (extrapolated)';
    Color:=clBlue;
    Pointer.Style:=psCircle;
    FillSampleValues;
  end;

  with Chart1.AddSeries(TPointSeries) as TPointSeries do
  begin
    Title:='Initial estimated at t=0';
    Color:=clSkyBlue;
    Pointer.Style:=psCircle;
    FillSampleValues;
  end;

  Chart1.MarginBottom:=20;
  with Chart1.Legend do
  begin
    Title.Text.Text:='Legend';
    Font.Size:=8;
    Alignment:=laBottom;
    Left:=50;
    Top:=460;
    FontSeriesColor:=true;
  end;

  CBLegTitle.Checked:=Chart1.Legend.Title.Visible;
end;

procedure TForm1.CBLegTitleClick(Sender: TObject);
begin
  Chart1.Legend.Title.Visible:=CBLegTitle.Checked;
end;

end.
